RDKit: RDKit::SmilesWrite Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Functions
RDKit::SmilesWrite Namespace Reference

## Namespaces
namespace | detail

## Functions
| BETTER_ENUM (CXSmilesFields, uint32_t, CX_NONE=0, CX_ATOM_LABELS=1<< 0, CX_MOLFILE_VALUES=1<< 1, CX_COORDS=1<< 2, CX_RADICALS=1<< 3, CX_ATOM_PROPS=1<< 4, CX_LINKNODES=1<< 5, CX_ENHANCEDSTEREO=1<< 6, CX_SGROUPS=1<< 7, CX_POLYMER=1<< 8, CX_BOND_CFG=1<< 9, CX_BOND_ATROPISOMER=1<< 10, CX_COORDINATE_BONDS=1<< 11, CX_HYDROGEN_BONDS=1<< 12, CX_ZERO_BONDS=1<< 13, CX_ALL=0x7fffffff, CX_ALL_BUT_COORDS=CX_ALL ^ CX_COORDS)
RDKIT_SMILESPARSE_EXPORT std::string | getCXExtensions (const ROMol &mol, std::uint32_t flags=CXSmilesFields::CX_ALL)
| returns the cxsmiles data for a molecule
RDKIT_SMILESPARSE_EXPORT std::string | getCXExtensions (const std::vector< ROMol * > &mols, std::uint32_t flags)
| returns the cxsmiles data for a vector of molecules
RDKIT_SMILESPARSE_EXPORT bool | inOrganicSubset (int atomicNumber)
| returns true if the atom number is in the SMILES organic subset
RDKIT_SMILESPARSE_EXPORT std::string | GetAtomSmiles (const Atom *atom, const SmilesWriteParams &ps)
| returns the SMILES for an atom
std::string | GetAtomSmiles (const Atom *atom, bool doKekule=false, const Bond *=nullptr, bool allHsExplicit=false, bool isomericSmiles=true)
| returns the SMILES for an atom
RDKIT_SMILESPARSE_EXPORT std::string | GetBondSmiles (const Bond *bond, const SmilesWriteParams &ps, int atomToLeftIdx=-1)
| returns the SMILES for a bond
std::string | GetBondSmiles (const Bond *bond, int atomToLeftIdx=-1, bool doKekule=false, bool allBondsExplicit=false)
| returns the SMILES for a bond

## Function Documentation

## ◆ BETTER_ENUM()

RDKit::SmilesWrite::BETTER_ENUM | ( | CXSmilesFields | ,
|  | uint32_t | ,
|  | CX_NONE | = 0,
|  | CX_ATOM_LABELS | = 1<< 0,
|  | CX_MOLFILE_VALUES | = 1<< 1,
|  | CX_COORDS | = 1<< 2,
|  | CX_RADICALS | = 1<< 3,
|  | CX_ATOM_PROPS | = 1<< 4,
|  | CX_LINKNODES | = 1<< 5,
|  | CX_ENHANCEDSTEREO | = 1<< 6,
|  | CX_SGROUPS | = 1<< 7,
|  | CX_POLYMER | = 1<< 8,
|  | CX_BOND_CFG | = 1<< 9,
|  | CX_BOND_ATROPISOMER | = 1<< 10,
|  | CX_COORDINATE_BONDS | = 1<< 11,
|  | CX_HYDROGEN_BONDS | = 1<< 12,
|  | CX_ZERO_BONDS | = 1<< 13,
|  | CX_ALL | = 0x7fffffff,
|  | CX_ALL_BUT_COORDS | = CX_ALL ^ CX_COORDS )

## ◆ GetAtomSmiles() [1/2]

std::string RDKit::SmilesWrite::GetAtomSmiles | ( | const Atom * | atom,
|  | bool | doKekule = false,
|  | const Bond * | = nullptr,
|  | bool | allHsExplicit = false,
|  | bool | isomericSmiles = true )
| inline

returns the SMILES for an atom

Parameters

  atom | : the atom to work with
  doKekule | : we're doing kekulized smiles (e.g. don't use lower case for the atom label)
  bondIn | : the bond we came into the atom on (unused)
  allHsExplicit | : if true, hydrogen counts will be provided for every atom.
  isomericSmiles | : if true, isomeric SMILES will be generated

Definition at line 106 of file SmilesWrite.h.

References RDKit::SmilesWriteParams::allHsExplicit, RDKit::SmilesWriteParams::doIsomericSmiles, RDKit::SmilesWriteParams::doKekule, and GetAtomSmiles().

## ◆ GetAtomSmiles() [2/2]

RDKIT_SMILESPARSE_EXPORT std::string RDKit::SmilesWrite::GetAtomSmiles | ( | const Atom * | atom,
|  | const SmilesWriteParams & | ps )

returns the SMILES for an atom

Parameters

  atom | : the atom to work with
  ps | : the parameters controlling the SMILES generation

References RDKIT_SMILESPARSE_EXPORT.

Referenced by GetAtomSmiles().

## ◆ GetBondSmiles() [1/2]

RDKIT_SMILESPARSE_EXPORT std::string RDKit::SmilesWrite::GetBondSmiles | ( | const Bond * | bond,
|  | const SmilesWriteParams & | ps,
|  | int | atomToLeftIdx = -1 )

returns the SMILES for a bond

Parameters

  bond | : the bond to work with
  ps | : the parameters controlling the SMILES generation
  atomToLeftIdx | : the index of the atom preceding `bond` in the SMILES

References RDKIT_SMILESPARSE_EXPORT.

Referenced by GetBondSmiles().

## ◆ GetBondSmiles() [2/2]

std::string RDKit::SmilesWrite::GetBondSmiles | ( | const Bond * | bond,
|  | int | atomToLeftIdx = -1,
|  | bool | doKekule = false,
|  | bool | allBondsExplicit = false )
| inline

returns the SMILES for a bond

Parameters

  bond | : the bond to work with
  atomToLeftIdx | : the index of the atom preceding `bond` in the SMILES
  doKekule | : we're doing kekulized smiles (e.g. write out bond orders for aromatic bonds)
  allBondsExplicit | : if true, symbols will be included for all bonds.

Definition at line 137 of file SmilesWrite.h.

References RDKit::SmilesWriteParams::allBondsExplicit, RDKit::SmilesWriteParams::doIsomericSmiles, RDKit::SmilesWriteParams::doKekule, and GetBondSmiles().

## ◆ getCXExtensions() [1/2]

RDKIT_SMILESPARSE_EXPORT std::string RDKit::SmilesWrite::getCXExtensions | ( | const ROMol & | mol,
|  | std::uint32_t | flags = CXSmilesFields::CX_ALL )

returns the cxsmiles data for a molecule

References RDKIT_SMILESPARSE_EXPORT.

## ◆ getCXExtensions() [2/2]

RDKIT_SMILESPARSE_EXPORT std::string RDKit::SmilesWrite::getCXExtensions | ( | const std::vector< ROMol * > & | mols,
|  | std::uint32_t | flags )

returns the cxsmiles data for a vector of molecules

References RDKIT_SMILESPARSE_EXPORT.

## ◆ inOrganicSubset()

RDKIT_SMILESPARSE_EXPORT bool RDKit::SmilesWrite::inOrganicSubset | ( | int | atomicNumber | ) |

returns true if the atom number is in the SMILES organic subset

References RDKIT_SMILESPARSE_EXPORT.